## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLightningFactoryState Struct Reference
[Mesh plugins, Mesh plugins]

Document me! @@. More...

`#include <imesh/lghtng.h>`

Inheritance diagram for iLightningFactoryState:

[legend]
List of all members.

## Public Member Functions

virtual iMaterialWrapper * | GetMaterialWrapper () const =0
| Get material of sprite.
virtual uint | GetMixMode () const =0
| Get mix mode.
virtual const csVector3 & | GetOrigin () const =0
| Get the point of origin.
virtual void | SetMaterialWrapper (iMaterialWrapper *material)=0
| Set material of sprite.
virtual void | SetMixMode (uint mode)=0
| Set mix mode.
virtual void | SetOrigin (const csVector3 &pos)=0
| Set the point of origin, the center of the texture.

## Detailed Description

Document me! @@.

Definition at line 38 of file lghtng.h.

## Member Function Documentation

virtual iMaterialWrapper* iLightningFactoryState::GetMaterialWrapper | ( |  | ) | const`[pure virtual]`

| Get material of sprite.

virtual uint iLightningFactoryState::GetMixMode | ( |  | ) | const`[pure virtual]`

| Get mix mode.

virtual const csVector3& iLightningFactoryState::GetOrigin | ( |  | ) | const`[pure virtual]`

| Get the point of origin.

virtual void iLightningFactoryState::SetMaterialWrapper | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

| Set material of sprite.

virtual void iLightningFactoryState::SetMixMode | ( | uint | mode | ) | `[pure virtual]`

| Set mix mode.

virtual void iLightningFactoryState::SetOrigin | ( | const csVector3 & | pos | ) | `[pure virtual]`

| Set the point of origin, the center of the texture.

The documentation for this struct was generated from the following file:

- imesh/lghtng.h